Bug 14301 - workstation 1.1.1-21 ftp core dumps on put nfs* when symlink present.
Summary: workstation 1.1.1-21 ftp core dumps on put nfs* when symlink present.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: krb5 (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
: 14303 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-20 00:41 UTC by Henri Schlereth
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-12 15:28:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:025 normal SHIPPED_LIVE : Updated Kerberos 5 and pam_krb5 packages available 2001-03-08 05:00:00 UTC

Description Henri Schlereth 2000-07-20 00:41:46 UTC
This was an accidental discovery I was shipping the updated nfs-utils around to various systems and
on one I had a symlink nfs1 --> /nfs1 under a user account. put nfs* immediately core dumps with a
segmentation fault. put nfs-* works, also oddly enough mput nfs* works to where it wants to also
upload the symlink/directory. Like I side I dont knowhow much of a bug this is but I thought I report it 
anyway.

Comment 1 Bill Nottingham 2000-07-20 03:07:57 UTC
*** Bug 14303 has been marked as a duplicate of this bug. ***

Comment 2 Jeremy Katz 2000-08-09 01:55:34 UTC
The symlink seems to be a red herring.  I can trigger this also with 'put *' and
regular files.  Poke around with gdb and you see that the seg fault is in a
free, relatively obvious conclusion to come to.  Comparison to the netkit ftp
source (which has the same ancient base as the mit code) shows that the free in
cmds.c:1863 (krb5-1.2.1) isn't present in the netkit source.  Removal of this
line seems to fix the problem for me

Comment 3 Nalin Dahyabhai 2000-09-12 18:29:49 UTC
This should be fixed in krb5-1.1.1-25 and krb5-1.2.1-9.  Until Raw Hide gets
refreshed, you can grab updated packages from http://people.redhat.com/krb5/.


Note You need to log in before you can comment on or make changes to this bug.